Package org.apache.felix.webconsole.bundleinfo

## Class BundleInfoType

- java.lang.Object
- - org.apache.felix.webconsole.bundleinfo.BundleInfoType

    public final class BundleInfoType
    extends Object

This pre-java 5 enum defines all valid bundle information value types.

Author:
  Valentin Valchev

### Field Summary

Fields
`static BundleInfoType` `LINK` Specifies that the value is `String` and is either a link to a local Servlet, or link to external HTTP server.
`static BundleInfoType` `RESOURCE` This information type, specifies that the value of the information is URL object, that points to a resource.
`static BundleInfoType` `VALUE` That information type is for normal information keys, that provide a normal (not link) value as information.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()` Returns the name of the type.
`void` `validate​(Object value)` That method is used to validate if the object is correct for the specified type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### LINK

    public static final BundleInfoType LINK

Specifies that the value is `String` and is either a link to a local Servlet, or link to external HTTP server. In case the link starts with `<protocol>://` the link will be considered as external. Otherwise the link should be absolute link to a local Servlet and must always start with `/`. for security reasons, the protocol cannot be `file` for external links.

#### RESOURCE

    public static final BundleInfoType RESOURCE

This information type, specifies that the value of the information is URL object, that points to a resource. In that case the UI could consider that as a download link.

#### VALUE

    public static final BundleInfoType VALUE

That information type is for normal information keys, that provide a normal (not link) value as information. The type of the value is `Object` and UI will visualize it by using it's `Object.toString()` method.

### Method Detail

#### getName

    public final String getName()

Returns the name of the type.

Returns:
  the type name

#### validate

    public final void validate​(Object value)

That method is used to validate if the object is correct for the specified type.

Parameters:
  `value` - the value that will be validated.